 #Makefile for astronomy functions of psLib
#

BUILT_SOURCES = pslib.config
CLEANFILES = pslib.config

EXTRA_DIST = psTime.xml pslib.config.template

pslib.config: pslib.config.template
	$(PERL) -pe 's|DATADIR|$(datadir)|' $? > $@

$(sysconfdir)/pslib:
	mkdir -p -m 755 $(sysconfdir)/pslib

install-data-hook: pslib.config $(sysconfdir)/pslib
	if [ `pwd` != $(sysconfdir)/pslib ] ; then  $(INSTALL) $(srcdir)/psTime.xml pslib.config $(sysconfdir)/pslib ; fi

uninstall-hook:
	if [ `pwd` != $(sysconfdir)/pslib ] ; then  rm -rf $(sysconfdir)/pslib ; fi

